Loading...
Searching...
No Matches
Dune::TypeTree::FixedCapacityStack< T, capacity > Class Template Reference
dune-typetree » TreePath

`#include <dune/typetree/fixedcapacitystack.hh>`

Inheritance diagram for Dune::TypeTree::FixedCapacityStack< T, capacity >:

## Public Member Functions

| FixedCapacityStack ()
T & | back ()
const T & | back () const
T & | front ()
const T & | front () const
std::size_t | size () const
T & | operator[] (std::size_t k)
const T & | operator[] (std::size_t k) const
std::size_t | capacity () const
bool | empty () const
bool | full () const
void | push_back (const T &t)
void | pop_back ()

## Constructor & Destructor Documentation

## FixedCapacityStack()

template<typename T, std::size_t capacity>

Dune::TypeTree::FixedCapacityStack< T, capacity >::FixedCapacityStack | ( |  | ) |

inline

## Member Function Documentation

## back() [1/2]

template<typename T, std::size_t capacity>

T & Dune::TypeTree::FixedCapacityStackView< T >::back | ( |  | ) |

inline

## back() [2/2]

template<typename T, std::size_t capacity>

const T & Dune::TypeTree::FixedCapacityStackView< T >::back | ( |  | ) | const

inline

## capacity()

template<typename T>

std::size_t Dune::TypeTree::FixedCapacityStackView< T >::capacity | ( |  | ) | const

inline inherited

## empty()

template<typename T>

bool Dune::TypeTree::FixedCapacityStackView< T >::empty | ( |  | ) | const

inline inherited

## front() [1/2]

template<typename T, std::size_t capacity>

T & Dune::TypeTree::FixedCapacityStackView< T >::front | ( |  | ) |

inline

## front() [2/2]

template<typename T, std::size_t capacity>

const T & Dune::TypeTree::FixedCapacityStackView< T >::front | ( |  | ) | const

inline

## full()

template<typename T>

bool Dune::TypeTree::FixedCapacityStackView< T >::full | ( |  | ) | const

inline inherited

## operator[]() [1/2]

template<typename T, std::size_t capacity>

T & Dune::TypeTree::FixedCapacityStackView< T >::operator[] | ( | std::size_t | k | ) |

inline

## operator[]() [2/2]

template<typename T, std::size_t capacity>

const T & Dune::TypeTree::FixedCapacityStackView< T >::operator[] | ( | std::size_t | k | ) | const

inline

## pop_back()

template<typename T>

void Dune::TypeTree::FixedCapacityStackView< T >::pop_back | ( |  | ) |

inline inherited

## push_back()

template<typename T>

void Dune::TypeTree::FixedCapacityStackView< T >::push_back | ( | const T & | t | ) |

inline inherited

## size()

template<typename T, std::size_t capacity>

std::size_t Dune::TypeTree::FixedCapacityStackView< T >::size | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- fixedcapacitystack.hh